package intrinsic.air.net;

public class ServiceMonitor extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public boolean available;
	public boolean running;
	public intrinsic.Date lastUpdated;
	public double pollInterval;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ServiceMonitor() {
}


/** Static Methods */
public static native void augmentPrototype(Object arg0);

/** Methods */
public native String toString();
public native void start();
public native void stop();

}
